Package org.eclipse.net4j.spi.db.ddl

# Interface InternalDBElement

All Superinterfaces:
  `IDBElement`, `org.eclipse.net4j.util.event.INotifier`

All Known Subinterfaces:
  `InternalDBField`, `InternalDBIndex`, `InternalDBIndexField`, `InternalDBNamedElement`, `InternalDBSchema`, `InternalDBSchemaElement`, `InternalDBTable`

All Known Implementing Classes:
  `org.eclipse.net4j.internal.db.ddl.DBElement`, `org.eclipse.net4j.internal.db.ddl.DBNamedElement`, `org.eclipse.net4j.internal.db.ddl.DBSchema`, `DBSchema`, `org.eclipse.net4j.internal.db.ddl.DBSchemaElement`

public interface InternalDBElement extends IDBElement

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getParent, getProperties`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`